BaseMatcher (JUnit API)
Keywords: org.hamcrest.BaseMatcher class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest
Class BaseMatcher<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

Direct Known Subclasses:
  AllOf, AnyOf, DescribedAs, Is, IsAnything, IsEqual, IsInstanceOf, IsNot, IsNull, IsSame

    public abstract class BaseMatcher<T>

extends Object
implements Matcher<T>

BaseClass for all Matcher implementations.

See Also:
  `Matcher`

Constructor Summary
`BaseMatcher()`

Method Summary
`void` | `_dont_implement_Matcher___instead_extend_BaseMatcher_()` This method simply acts a friendly reminder not to implement Matcher directly and instead extend BaseMatcher.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hamcrest.Matcher
`matches`

Methods inherited from interface org.hamcrest.SelfDescribing
`describeTo`

Constructor Detail

### BaseMatcher

    public BaseMatcher()

Method Detail

### _dont_implement_Matcher___instead_extend_BaseMatcher_

    public final void _dont_implement_Matcher___instead_extend_BaseMatcher_()

  Description copied from interface: `Matcher`
  This method simply acts a friendly reminder not to implement Matcher directly and instead extend BaseMatcher. It's easy to ignore JavaDoc, but a bit harder to ignore compile errors .

  Specified by:
    `_dont_implement_Matcher___instead_extend_BaseMatcher_` in interface `Matcher<T>`
  See Also:
    `Matcher._dont_implement_Matcher___instead_extend_BaseMatcher_()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD